"""Perform data migrations

See waskiq/issue2456

Revision ID: 1c0d66444bf7
Revises: 63cb30b2f4f8
Create Date: 2017-03-02 12:20:27.080396

"""

# revision identifiers, used by Alembic.
revision = '1c0d66444bf7'
down_revision = '63cb30b2f4f8'

from alembic import op
import sqlalchemy as sa


INSERTS = """"""
DELETES = """"""
UPDATES = ['''UPDATE resultindicators r
SET qualification_other_language_course = 0
FROM
  ( SELECT id
   FROM participations
   WHERE end_date < '2017-02-01' ) AS p
WHERE qualification_other_language_course IS NULL
  AND new_qualification = 1
  AND r.id = p.id;''',
'''UPDATE resultindicators r
SET qualification_edv = 0
FROM
  ( SELECT id
   FROM participations
   WHERE end_date < '2017-02-01' ) AS p
WHERE qualification_edv IS NULL
  AND new_qualification = 1
  AND r.id = p.id;''',
'''UPDATE resultindicators r
SET qualification_tagespflegeperson = 0
FROM
  ( SELECT id
   FROM participations
   WHERE end_date < '2017-02-01' ) AS p
WHERE qualification_tagespflegeperson IS NULL
  AND new_qualification = 1
  AND r.id = p.id;''',
'''UPDATE resultindicators r
SET qualification_integrationslotsin = 0
FROM
  ( SELECT id
   FROM participations
   WHERE end_date < '2017-02-01' ) AS p
WHERE qualification_integrationslotsin IS NULL
  AND new_qualification = 1
  AND r.id = p.id;''']


def iter_statements(statements):
    for statement in statements:
        op.execute(statement)


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    pass
    ### end Alembic commands ###
    iter_statements(UPDATES)


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    pass
    ### end Alembic commands ###
    iter_statements(DELETES)
