"""add beneficiary_configuration table

Revision ID: 54e90e81df69
Revises: 3e4e671323f6
Create Date: 2019-04-04 15:08:24.122190

"""

# revision identifiers, used by Alembic.
revision = '54e90e81df69'
down_revision = '3e4e671323f6'

from alembic import op
import sqlalchemy as sa


INSERTS = """"""
DELETES = """"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    op.create_table('beneficiary_configuration',
    sa.Column('personal_id_prefix', sa.String(), nullable=False),
    sa.Column('beneficiary_id', sa.String(), nullable=True),
    sa.Column('beneficiary_name', sa.String(), nullable=True),
    sa.Column('originating_beneficiary_id', sa.String(), nullable=True),
    sa.Column('fp', sa.Integer(), nullable=True),
    sa.Column('regioncategory_id', sa.Integer(), nullable=True),
    sa.Column('nuts1', sa.String(length=3), nullable=True),
    sa.Column('oi_target_number', sa.Integer(), nullable=True),
    sa.Column('ri_target_percent', sa.Integer(), nullable=True),
    sa.PrimaryKeyConstraint('personal_id_prefix')
    )
    iter_statements(INSERTS)


def downgrade():
    op.drop_table('beneficiary_configuration')
    iter_statements(DELETES)
